Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package tasty
  Definition Classes
    tools
- ErasedTypeRef
- Signature
- TastyFlags
- TastyFormat
- TastyHeaderUnpickler
- TastyName
- TastyReader
- TastyRefs
- UnpickleException

o

scala.tools.tasty

# TastyFlags

###

#### object TastyFlags

A static type representing a bitset of flags that are encoded in a TASTy file, along with some other flags inferred from context, such as `Method` and `Deferred`.

Source
  TastyFlags.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TastyFlags
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class SingletonSets(toLong: Long) extends AnyVal with Product with Serializable
2.  final case class TastyFlagSet(toLong: Long) extends AnyVal with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val AbsOverride: TastyFlagSet
5.  final val Abstract: TastyFlagSet
6.  final val Artifact: TastyFlagSet
7.  final val Case: TastyFlagSet
8.  final val CaseAccessor: TastyFlagSet
9.  final val Contravariant: TastyFlagSet
10.  final val Covariant: TastyFlagSet
11.  final val Deferred: TastyFlagSet
12.  final val EmptyTastyFlags: TastyFlagSet
13.  final val Enum: TastyFlagSet
14.  final val Erased: TastyFlagSet
15.  final val Exported: TastyFlagSet
16.  final val Extension: TastyFlagSet
17.  final val FieldAccessor: TastyFlagSet
18.  final val Final: TastyFlagSet
19.  final val Given: TastyFlagSet
20.  final val HasDefault: TastyFlagSet
21.  final val Implicit: TastyFlagSet
22.  final val Infix: TastyFlagSet
23.  final val Inline: TastyFlagSet
24.  final val InlineProxy: TastyFlagSet
25.  final val Internal: TastyFlagSet
26.  final val Lazy: TastyFlagSet
27.  final val Local: TastyFlagSet
28.  final val Macro: TastyFlagSet
29.  final val Method: TastyFlagSet
30.  final val Mutable: TastyFlagSet
31.  final val Object: TastyFlagSet
32.  final val Opaque: TastyFlagSet
33.  final val Open: TastyFlagSet
34.  final val Override: TastyFlagSet
35.  final val Param: TastyFlagSet
36.  final val ParamAlias: TastyFlagSet
37.  final val ParamSetter: TastyFlagSet
38.  final val Private: TastyFlagSet
39.  final val Protected: TastyFlagSet
40.  final val Sealed: TastyFlagSet
41.  final val Stable: TastyFlagSet
42.  final val Static: TastyFlagSet
43.  final val Synthetic: TastyFlagSet
44.  final val Trait: TastyFlagSet
45.  final val Transparent: TastyFlagSet
46.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
47.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
48.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
49.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
50.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
51.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
52.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
53.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
54.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
55.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
56.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
57.  def optFlag(cond: Boolean)(flag: TastyFlagSet): TastyFlagSet
58.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
59.  def toString(): String
    Definition Classes
      AnyRef → Any
60.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
61.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
62.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped